<div class="col-md-12" [@fadeIn]>
    <h1> {{ title }} </h1>

    <label>Nombre del parque</label>
    <input type="text" [(ngModel)]="nombreParque" (keyup)="mostrarNombre()">
    <label>Metros</label>
    <input type="text" [(ngModel)]="metrosCuadrados">
    <hr>

    <h2>Componente hijo</h2>
    <div *ngIf="nombreParque">
        <app-parks [nombre]="nombreParque"
                   [metros_cuadrados]="metrosCuadrados"
                   (pasameLosDatos)="verDatosParque($event)">
        </app-parks>
    </div>
    <br>
    <hr>
    <div *ngIf="miParque" >
        {{ miParque | json }}
    </div>

    <hr>
    <h4>Using JQuery inside Angular</h4>

    <button class="btn btn-dark" id="buttonjq">Show text</button>

    <div id="textjq" class="mt-2 alert alert-dark">This is just test Jquery inside Angular</div>

    <hr>

    <h4>Using jquery library dotdotdot</h4>

    <div id="textdot" style="width: 200px; height: 50px; border: 1px solid black">Lorem ipsum dolor sit amet, consectetur adipisicing elit. Aspernatur assumenda deleniti id iusto molestiae odio quibusdam quod sapiente soluta veniam.</div>

    <hr>

    <h4>Simple tinymce</h4>

    <simple-tiny
            [elementId]="'descriptionChurro'"
            (onEditorKeyup)="textChurroEditor($event)"
    >
    </simple-tiny>


    <hr>

    <h4>Transiciones CSS3</h4>

    <button class="btn-transiciones">Tranciones CSS</button>

    <br><br>


    <div class="box-animated">

    </div>


    <hr>

    <h4>animaciones con angular</h4>

    <button class="btn-active btn btn-success" [@focusBtn]="state" (click)="toggleState()">
        <span *ngIf="state==='active'" >Active</span>
        <span *ngIf="state!=='active'" >Inactive</span>
    </button>

    <div class=""></div>

</div>